com.unitech.stuhfl

## Class STUHFL_T_Gen2_Write

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gen2_Write
  - - com.unitech.stuhfl.STUHFL_T_Gen2_Write

-     public class STUHFL_T_Gen2_Write
      extends BR_Gen2_Write

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gen2_Write

      `BR_Gen2_Write.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `data` < I Param: Password.
    `STUHFL_E.GEN2_MEMORY_BANK` | `memoryBank` < I Param: Word address to which write data.
    `byte[]` | `pwd` < I Param: Bank (File, EPC, TID, USER) to which write data.
    `short` | `tagReply` < I Param: Data to be written.
    `long` | `wordPtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gen2_Write()`
    `STUHFL_T_Gen2_Write(long wordPtr, STUHFL_E.GEN2_MEMORY_BANK memoryBank, byte[] pwd, byte[] data, short tagReply)`
    `STUHFL_T_Gen2_Write(STUHFL_T_Gen2_Write other)` < O Param: Tag reply.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gen2 Write command to write data to Gen2 transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gen2_Write

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wordPtr

          public long wordPtr

    - #### memoryBank

          public STUHFL_E.GEN2_MEMORY_BANK memoryBank

      < I Param: Word address to which write data.

    - #### pwd

          public byte[] pwd

      < I Param: Bank (File, EPC, TID, USER) to which write data.

    - #### data

          public byte[] data

      < I Param: Password.

    - #### tagReply

          public short tagReply

      < I Param: Data to be written.

  - ### Constructor Detail

    - #### STUHFL_T_Gen2_Write

          public STUHFL_T_Gen2_Write(STUHFL_T_Gen2_Write other)

      < O Param: Tag reply.

    - #### STUHFL_T_Gen2_Write

          public STUHFL_T_Gen2_Write(long wordPtr,
                                     STUHFL_E.GEN2_MEMORY_BANK memoryBank,
                                     byte[] pwd,
                                     byte[] data,
                                     short tagReply)

    - #### STUHFL_T_Gen2_Write

          public STUHFL_T_Gen2_Write()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gen2 Write command to write data to Gen2 transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`